Bug 207058 - "Lock" in workrave stayed locked forever, even after entering a password
"Lock" in workrave stayed locked forever, even after entering a password
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: workrave (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 20:20 EDT by Stewart Adam
Modified: 2008-04-03 21:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 11:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-09-18 20:20:37 EDT
Description of problem:
When performing a timeout and clicking "Lock", gnome-screensaver if enabled but
after the passwored is typed and gnome-screensaver is disactivated, the screen
remains black. I have to switch VT's and kill workrave.

Version-Release number of selected component (if applicable):
workrave-1.8.3-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Click the teacup to start a timeout
2. Click "Lock"
3. Enter your password
  
Actual results:
The screen remains black / locked, even though gnome-screensaver's gone

Expected results:
It resumes

Additional info:
Comment 1 Tomas Mraz 2006-10-11 04:45:07 EDT
When xscreensaver is installed instead of gnome-screensaver it works fine. CCing
Ray if he has some insight on this.
Comment 2 Ray Strode [halfline] 2006-10-13 10:31:43 EDT
gnome-screensaver does this:

        do {
                result = gs_grab_move_keyboard (grab, window, screen);
                gdk_flush ();
        } while (!result);

        do {
                result = gs_grab_move_mouse (grab, window, screen, hide_cursor);
                gdk_flush ();
        } while (!result);

One of those two loops isn't ever breaking while workrave is running and that's
why gnome-screensaver isn't unlocking until you kill workrave.

is workrave grabbing the keyboard after unlocking the screen?  There may be a
race there or something
Comment 3 Tomas Mraz 2006-10-13 11:33:35 EDT
Yes, workrave tries to grab the keyboard and mouse after 2s with 2s intervals
after it calls gnome-screensaver-command to lock the screen. It needs to grab it
for the workrave's rest break window. Is there any way how it could wait for the
gnome-screensaver to be unlocked and try to grab just after that?
Comment 4 Tomas Mraz 2008-04-03 11:49:33 EDT
Reported upstream:
http://issues.workrave.org/cgi-bin/bugzilla/show_bug.cgi?id=726
Comment 5 Bug Zapper 2008-04-03 14:15:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 John Poelstra 2008-04-03 21:39:18 EDT
nevermind comment #5 :)

Note You need to log in before you can comment on or make changes to this bug.